<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2025 Workiva-->
<!--r:0da11a53-955a-4038-89e6-eebf4c781946,g:ad08a4c6-3c8a-47b7-92f6-101bb4037ff3-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_4ce9365f-30cb-4469-b595-4dbd20b2df51_negatedLabel_en" xlink:label="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Repayments of borrowings, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests_04d043cd-edbe-4392-a89e-02b224ba8a70_negatedLabel_en" xlink:label="lab_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Dividends recognised as distributions to non-controlling interests</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:to="lab_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_9ba2415a-9fc8-434b-b6e4-21e8c480ab02_negatedLabel_en" xlink:label="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Purchase of intangible assets, classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_Reserves_label_en" xlink:label="lab_amrest_Reserves" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reserves</link:label>
    <link:label id="lab_amrest_Reserves_documentation_en" xlink:label="lab_amrest_Reserves" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Reservas</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_Reserves" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_Reserves"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_Reserves" xlink:to="lab_amrest_Reserves" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_RestaurantFoodAndMerchandise_label_en" xlink:label="lab_amrest_RestaurantFoodAndMerchandise" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Restaurant food and merchandise</link:label>
    <link:label id="lab_amrest_RestaurantFoodAndMerchandise_documentation_en" xlink:label="lab_amrest_RestaurantFoodAndMerchandise" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Consumo de mercaderías y materias primas de restaurantes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantFoodAndMerchandise" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_RestaurantFoodAndMerchandise"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_RestaurantFoodAndMerchandise" xlink:to="lab_amrest_RestaurantFoodAndMerchandise" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_ProfitLossFromOperations_339dec7f-bd6e-438d-82e5-a6d2dc7f0af5_totalLabel_en" xlink:label="lab_amrest_ProfitLossFromOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Profit Loss From Operation</link:label>
    <link:label id="lab_amrest_ProfitLossFromOperations_label_en" xlink:label="lab_amrest_ProfitLossFromOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit loss from operations</link:label>
    <link:label id="lab_amrest_ProfitLossFromOperations_documentation_en" xlink:label="lab_amrest_ProfitLossFromOperations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Beneficio/(Pérdida) de explotación</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_ProfitLossFromOperations" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_ProfitLossFromOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_ProfitLossFromOperations" xlink:to="lab_amrest_ProfitLossFromOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses_label_en" xlink:label="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Restaurant occupancy and other operating expenses</link:label>
    <link:label id="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses_documentation_en" xlink:label="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Otros gastos de explotación de restaurantes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_RestaurantOccupancyAndOtherOperatingExpenses"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:to="lab_amrest_RestaurantOccupancyAndOtherOperatingExpenses" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_ReservesMember_label_en" xlink:label="lab_amrest_ReservesMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reserves [Member]</link:label>
    <link:label id="lab_amrest_ReservesMember_documentation_en" xlink:label="lab_amrest_ReservesMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Reserves</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_ReservesMember" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_ReservesMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_ReservesMember" xlink:to="lab_amrest_ReservesMember" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_NetImpairmentLossesOnOtherAssets_label_en" xlink:label="lab_amrest_NetImpairmentLossesOnOtherAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net impairment losses on other assets</link:label>
    <link:label id="lab_amrest_NetImpairmentLossesOnOtherAssets_documentation_en" xlink:label="lab_amrest_NetImpairmentLossesOnOtherAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">(Perdidas) / Reversiones por deterioro de valor del resto de activos</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_NetImpairmentLossesOnOtherAssets" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_NetImpairmentLossesOnOtherAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_NetImpairmentLossesOnOtherAssets" xlink:to="lab_amrest_NetImpairmentLossesOnOtherAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_29b60372-364f-4e25-8e55-f18c9b2f90d7_negatedLabel_en" xlink:label="lab_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities_label_en" xlink:label="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other non current liabilities and employee benefits liabilities</link:label>
    <link:label id="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities_documentation_en" xlink:label="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Otros pasivos no corrientes y retribuciones a empleados</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:to="lab_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_22028e6a-3e28-4e71-8b61-41ae7134a00a_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits_label_en" xlink:label="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Restaurant payroll social security and employee benefits</link:label>
    <link:label id="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits_documentation_en" xlink:label="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Gastos por retribuciones a los empleados de restaurantes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:to="lab_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_FranchiseAndOtherRevenue_label_en" xlink:label="lab_amrest_FranchiseAndOtherRevenue" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Franchise and other revenue</link:label>
    <link:label id="lab_amrest_FranchiseAndOtherRevenue_documentation_en" xlink:label="lab_amrest_FranchiseAndOtherRevenue" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Franquicias y otros ingresos</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_FranchiseAndOtherRevenue" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_FranchiseAndOtherRevenue"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_FranchiseAndOtherRevenue" xlink:to="lab_amrest_FranchiseAndOtherRevenue" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_95aa29dc-4918-41d1-b665-0fdaeb1021fc_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities_fa61a82f-1394-4a4c-9405-a820a24b6f07_negatedLabel_en" xlink:label="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Interest paid, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_GrossProfit_ef9c0055-2982-41a0-8ea1-4d0efb3c7d47_totalLabel_en" xlink:label="lab_ifrs-full_GrossProfit" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">GrossProfit</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="lab_ifrs-full_GrossProfit" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_e0bbcd1d-a284-4223-ba7d-922729d8f82a_negatedLabel_en" xlink:label="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Payments of lease liabilities, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_c5bc85f6-2dc6-4956-9893-3aef39cdc980_negatedLabel_en" xlink:label="lab_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Dividends paid to non-controlling interests, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_RestaurantFranchiseAndOtherExpenses_label_en" xlink:label="lab_amrest_RestaurantFranchiseAndOtherExpenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Restaurant franchise and other expenses</link:label>
    <link:label id="lab_amrest_RestaurantFranchiseAndOtherExpenses_documentation_en" xlink:label="lab_amrest_RestaurantFranchiseAndOtherExpenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Franquicias y otros gastos</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantFranchiseAndOtherExpenses" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_RestaurantFranchiseAndOtherExpenses"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_RestaurantFranchiseAndOtherExpenses" xlink:to="lab_amrest_RestaurantFranchiseAndOtherExpenses" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_d9a4ba2a-46bb-4337-a1e2-a2188e6aa298_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_a6002506-8f2e-4435-a666-9ed34cafe19b_negatedLabel_en" xlink:label="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Purchase of property, plant and equipment, classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_28f969c5-c630-493d-872a-d5e11932956f_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_ExchangeDifferencesOnTranslationOfDisposedOperation_label_en" xlink:label="lab_amrest_ExchangeDifferencesOnTranslationOfDisposedOperation" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exchange differences on translation of disposed operation</link:label>
    <link:label id="lab_amrest_ExchangeDifferencesOnTranslationOfDisposedOperation_documentation_en" xlink:label="lab_amrest_ExchangeDifferencesOnTranslationOfDisposedOperation" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">GainsLossesOnExchangeDifferencesOf DisposedOperations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_ExchangeDifferencesOnTranslationOfDisposedOperation" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_ExchangeDifferencesOnTranslationOfDisposedOperation"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_ExchangeDifferencesOnTranslationOfDisposedOperation" xlink:to="lab_amrest_ExchangeDifferencesOnTranslationOfDisposedOperation" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_RoyaltyExpense_ea4aa7d2-219c-4912-9c13-421752176e42_negatedLabel_en" xlink:label="lab_ifrs-full_RoyaltyExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Royalty expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RoyaltyExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RoyaltyExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RoyaltyExpense" xlink:to="lab_ifrs-full_RoyaltyExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_78ca4b27-fc4e-4573-8bdc-4d8f51940167_negatedLabel_en" xlink:label="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Income taxes paid (refund), classified as operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_EquityAbstract_384edd76-0f3f-47ea-ae03-877b684a8761_totalLabel_en" xlink:label="lab_ifrs-full_EquityAbstract" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Equity [abstract]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAbstract" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAbstract"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_EquityAbstract" xlink:to="lab_ifrs-full_EquityAbstract" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_888d9d09-8759-4cc0-9c16-52f5f6db83b7_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_InterestReceivedClassifiedAsFinancingActivities_label_en" xlink:label="lab_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest received classified as financing activities</link:label>
    <link:label id="lab_amrest_InterestReceivedClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Intereses recibidos clasificados como actividades de financiación</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_InterestReceivedClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:to="lab_amrest_InterestReceivedClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_amrest_CurrentTradeReceivablesAndOtherReceivables_label_en" xlink:label="lab_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current trade receivables and other receivables</link:label>
    <link:label id="lab_amrest_CurrentTradeReceivablesAndOtherReceivables_documentation_en" xlink:label="lab_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Deudores comerciales corrientes y otras cuentas por cobrar</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_CurrentTradeReceivablesAndOtherReceivables"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:to="lab_amrest_CurrentTradeReceivablesAndOtherReceivables" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
